searchable.recursivesearchtree

## Class RemoveResult

- java.lang.Object
- - searchable.recursivesearchtree.RemoveResult

-     class RemoveResult
      extends java.lang.Object

  Pomocná třída pro výsledek operace Remove. Obsahuje dvojici hodnot, které vrací operace Remove:
  `parent -` nová hodnota odkazu z otce na syna po odstranění uzlu
  `result -` starý uzel odstraněný ze stromu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private TreeNode` | `parent` nová hodnota odkazu z otce na syna po odstranění uzlu
    `private TreeNode` | `result` starý uzel odstraněný ze stromu

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveResult(TreeNode aParent, TreeNode aResult)` Vyrobí instanci typu RemoveResult.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finalize()` Uvede instanci do koncového stavu.
    `(package private) TreeNode` | `getParent()`
    `(package private) TreeNode` | `getResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          private TreeNode parent

      nová hodnota odkazu z otce na syna po odstranění uzlu

    - #### result

          private TreeNode result

      starý uzel odstraněný ze stromu

  - ### Constructor Detail

    - #### RemoveResult

          public RemoveResult(TreeNode aParent,
                              TreeNode aResult)

      Vyrobí instanci typu RemoveResult.
      Parameters:
        `aParent` - nová hodnota odkazu z otce na syna po odstranění uzlu
        `aResult` - starý uzel odstraněný ze stromu

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Uvede instanci do koncového stavu. Nepoužívejte! Spustí se automaticky při destrukci.
      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable` - zděděná výjimka

    - #### getParent

          TreeNode getParent()

      Returns:
        vrací položku parent

    - #### getResult

          TreeNode getResult()

      Returns:
        vrací položku result